/*
 *   Copyright 2011 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.util;

/**
 * Holds static documentation.
 *
 *
 * @author Brian Rosenberger, bru@brutex.de
 */
public class XServicesDocumentation {

    
    public static final String BRUTEX_COPYRIGHT = "" +
        "/*\n" +
    	"*   Copyright 2010 Brian Rosenberger (Brutex Network)\n" +
    	"*\n" +
    	"*   Licensed under the Apache License, Version 2.0 (the \"License\")\n" +
    	"*   you may not use this file except in compliance with the License.\n" +
    	"*   You may obtain a copy of the License at\n" +
    	"*\n" +
    	"*       http://www.apache.org/licenses/LICENSE-2.0\n" +
    	"*\n" +
    	"*   Unless required by applicable law or agreed to in writing, software\n" +
    	"*   distributed under the License is distributed on an \"AS IS\" BASIS,\n" +
    	"*   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n" +
    	"*   See the License for the specific language governing permissions and\n" +
    	"*   limitations under the License.\n" +
    	"*/";


    public static final String SERVICE_OPERATION_DOWNLOADFILE = "Download a file from the maschine where the service is running in order " +
	"to process it with the client. The file is either downloaded as a MTOM attachment or " +
	"as inline base64 encoded block. Keep in mind that unless you are using MTOM, a lot of " +
	"java heap memory is used.";
    
    public static final String SERVICE_OPERATION_UPLOADFILE = "Send a file from client to web service server using either " +
    "MTOM attachment or base64 inline attachment.";
    
    public static final String SERVICE_OPERATION_COPY = "Copies a fileset locally on the server.";
    
    public static final String SERVICE_OPERATION_COPYFILE = "Copies a single file locally on the server";
    
    public static final String SERVICE_OPERATION_LOADRESOURCE = "Load the content of a resource";
    
    public static final String SERVICE_OPERATION_LOADRESOURCEFROMARCHIVE = "Load the content of a resource";
    
    public static final String SERVICE_OPERATION_ECHOTOFILE = "Write or append a string to a file";
    
    public static final String SERVICE_OPERATION_REPLACEINFILE = "Replaces every <pattern> with a string in an ascii file";
    
    public static final String SERVICE_OPERATION_REPLACEINFILE2 = "Replaces every <pattern> with a string in an ascii file";
    
    public static final String SERVICE_OPERATION_REPLACEINFILEREGEX = "Replaces every <regex pattern> with a string in an ascii file";
    
    private XServicesDocumentation() {};
}
